apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  name: basic-install
spec:
  istio:
    gateways:
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: false
        ior_enabled: false
    global:
      disablePolicyChecks: false
      multitenant: false
      proxy:
        resources:
          limits:
            cpu: 500m
            memory: 128Mi
          requests:
            cpu: 100m
            memory: 128Mi
    kiali:
      dashboard:
        passphrase: admin
        user: admin
      enabled: true
    mixer:
      policy:
        autoscaleEnabled: false
      telemetry:
        autoscaleEnabled: false
        resources:
          limits:
            cpu: 500m
            memory: 4G
          requests:
            cpu: 100m
            memory: 1G
    pilot:
      autoscaleEnabled: false
      traceSampling: 100
    tracing:
      enabled: true
  threeScale:
    PARAM_THREESCALE_ALLOW_INSECURE_CONN: true
    enabled: true
